summaryrefslogtreecommitdiffstats
path: root/jjb/scripts/setup_vpp_ubuntu_docker_test.sh
diff options
context:
space:
mode:
authorPaul Vinciguerra <pvinci@vinciconsulting.com>2019-02-19 08:31:49 -0500
committerPaul Vinciguerra <pvinci@vinciconsulting.com>2019-02-19 08:31:49 -0500
commitafbd4e1110a24760b922b6dd9d5838baf1b7f8cc (patch)
tree523abd0f6d9936a591b8f19e1d95a66d0acfc08c /jjb/scripts/setup_vpp_ubuntu_docker_test.sh
parentafa8332ca87a5ee1728ff0f438224ee466406a6d (diff)
Allocate sufficient shm for the number of cores.
# for 4 cores: # framework.VppTestCase.MIN_REQ_SHM + (num_cores * framework.VppTestCase.SHM_PER_PROCESS) # 1073741824 == 1024M (1073741824 >> 20) Change-Id: Iac56d69a48df019426e6b914d085635c8cd4df74 Signed-off-by: Paul Vinciguerra <pvinci@vinciconsulting.com>
Diffstat (limited to 'jjb/scripts/setup_vpp_ubuntu_docker_test.sh')
-rw-r--r--jjb/scripts/setup_vpp_ubuntu_docker_test.sh5
1 files changed, 4 insertions, 1 deletions
diff --git a/jjb/scripts/setup_vpp_ubuntu_docker_test.sh b/jjb/scripts/setup_vpp_ubuntu_docker_test.sh
index 4121d18bb..3c757578a 100644
--- a/jjb/scripts/setup_vpp_ubuntu_docker_test.sh
+++ b/jjb/scripts/setup_vpp_ubuntu_docker_test.sh
@@ -12,7 +12,10 @@ set -e -o pipefail
OS_ID=$(grep '^ID=' /etc/os-release | cut -f2- -d= | sed -e 's/\"//g')
if ! [ -z ${DOCKER_TEST} ] ; then
- sudo mount -o remount /dev/shm -o size=512M || true
+ # for 4 cores:
+ # framework.VppTestCase.MIN_REQ_SHM + (num_cores * framework.VppTestCase.SHM_PER_PROCESS)
+ # 1073741824 == 1024M (1073741824 >> 20)
+ sudo mount -o remount /dev/shm -o size=1024M || true
echo "/dev/shm remounted"
fi